io.vertx.rxjava.core.shareddata

## Class AsyncMap<K,V>

- java.lang.Object
- - io.vertx.rxjava.core.shareddata.AsyncMap<K,V>

-     public class AsyncMap<K,V>
      extends Object

  An asynchronous map.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<AsyncMap>` | `__TYPE_ARG`
    `TypeArg<K>` | `__typeArg_0`
    `TypeArg<V>` | `__typeArg_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncMap(AsyncMap delegate)`
    `AsyncMap(AsyncMap delegate, TypeArg<K> typeArg_0, TypeArg<V> typeArg_1)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(Handler<AsyncResult<Void>> resultHandler)` Clear all entries in the map
    `rx.Observable<Void>` | `clearObservable()` Deprecated. use `rxClear()` instead
    `void` | `get(K k, Handler<AsyncResult<V>> resultHandler)` Get a value from the map, asynchronously.
    `AsyncMap` | `getDelegate()`
    `rx.Observable<V>` | `getObservable(K k)` Deprecated. use `rxGet(K)` instead
    `static <K,V> AsyncMap` | `newInstance(AsyncMap arg)`
    `static <K,V> AsyncMap` | `newInstance(AsyncMap arg, TypeArg<K> __typeArg_K, TypeArg<V> __typeArg_V)`
    `void` | `put(K k, V v, Handler<AsyncResult<Void>> completionHandler)` Put a value in the map, asynchronously.
    `void` | `put(K k, V v, long ttl, Handler<AsyncResult<Void>> completionHandler)` Like `put(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but specifying a time to live for the entry.
    `void` | `putIfAbsent(K k, V v, Handler<AsyncResult<V>> completionHandler)` Put the entry only if there is no entry with the key already present.
    `void` | `putIfAbsent(K k, V v, long ttl, Handler<AsyncResult<V>> completionHandler)` Link `putIfAbsent(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<V>>)` but specifying a time to live for the entry.
    `rx.Observable<V>` | `putIfAbsentObservable(K k, V v)` Deprecated. use `rxPutIfAbsent(K, V)` instead
    `rx.Observable<V>` | `putIfAbsentObservable(K k, V v, long ttl)` Deprecated. use `rxPutIfAbsent(K, V)` instead
    `rx.Observable<Void>` | `putObservable(K k, V v)` Deprecated. use `rxPut(K, V)` instead
    `rx.Observable<Void>` | `putObservable(K k, V v, long ttl)` Deprecated. use `rxPut(K, V)` instead
    `void` | `remove(K k, Handler<AsyncResult<V>> resultHandler)` Remove a value from the map, asynchronously.
    `void` | `removeIfPresent(K k, V v, Handler<AsyncResult<Boolean>> resultHandler)` Remove a value from the map, only if entry already exists with same value.
    `rx.Observable<Boolean>` | `removeIfPresentObservable(K k, V v)` Deprecated. use `rxRemoveIfPresent(K, V)` instead
    `rx.Observable<V>` | `removeObservable(K k)` Deprecated. use `rxRemove(K)` instead
    `void` | `replace(K k, V v, Handler<AsyncResult<V>> resultHandler)` Replace the entry only if it is currently mapped to some value
    `void` | `replaceIfPresent(K k, V oldValue, V newValue, Handler<AsyncResult<Boolean>> resultHandler)` Replace the entry only if it is currently mapped to a specific value
    `rx.Observable<Boolean>` | `replaceIfPresentObservable(K k, V oldValue, V newValue)` Deprecated. use `rxReplaceIfPresent(K, V, V)` instead
    `rx.Observable<V>` | `replaceObservable(K k, V v)` Deprecated. use `rxReplace(K, V)` instead
    `rx.Single<Void>` | `rxClear()` Clear all entries in the map
    `rx.Single<V>` | `rxGet(K k)` Get a value from the map, asynchronously.
    `rx.Single<Void>` | `rxPut(K k, V v)` Put a value in the map, asynchronously.
    `rx.Single<Void>` | `rxPut(K k, V v, long ttl)` Like `put(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but specifying a time to live for the entry.
    `rx.Single<V>` | `rxPutIfAbsent(K k, V v)` Put the entry only if there is no entry with the key already present.
    `rx.Single<V>` | `rxPutIfAbsent(K k, V v, long ttl)` Link `putIfAbsent(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<V>>)` but specifying a time to live for the entry.
    `rx.Single<V>` | `rxRemove(K k)` Remove a value from the map, asynchronously.
    `rx.Single<Boolean>` | `rxRemoveIfPresent(K k, V v)` Remove a value from the map, only if entry already exists with same value.
    `rx.Single<V>` | `rxReplace(K k, V v)` Replace the entry only if it is currently mapped to some value
    `rx.Single<Boolean>` | `rxReplaceIfPresent(K k, V oldValue, V newValue)` Replace the entry only if it is currently mapped to a specific value
    `rx.Single<Integer>` | `rxSize()` Provide the number of entries in the map
    `void` | `size(Handler<AsyncResult<Integer>> resultHandler)` Provide the number of entries in the map
    `rx.Observable<Integer>` | `sizeObservable()` Deprecated. use `rxSize()` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<AsyncMap> __TYPE_ARG

    - #### __typeArg_0

          public final TypeArg<K> __typeArg_0

    - #### __typeArg_1

          public final TypeArg<V> __typeArg_1

  - ### Constructor Detail

    - #### AsyncMap

          public AsyncMap(AsyncMap delegate)

    - #### AsyncMap

          public AsyncMap(AsyncMap delegate,
                          TypeArg<K> typeArg_0,
                          TypeArg<V> typeArg_1)

  - ### Method Detail

    - #### getDelegate

          public AsyncMap getDelegate()

    - #### get

          public void get(K k,
                          Handler<AsyncResult<V>> resultHandler)

      Get a value from the map, asynchronously.
      Parameters:
        `k` - the key
        `resultHandler` - - this will be called some time later with the async result.

    - #### getObservable

          @Deprecated
          public rx.Observable<V> getObservable(K k)

      Deprecated. use `rxGet(K)` instead
      Get a value from the map, asynchronously.
      Parameters:
        `k` - the key
      Returns:

    - #### rxGet

          public rx.Single<V> rxGet(K k)

      Get a value from the map, asynchronously.
      Parameters:
        `k` - the key
      Returns:

    - #### put

          public void put(K k,
                          V v,
                          Handler<AsyncResult<Void>> completionHandler)

      Put a value in the map, asynchronously.
      Parameters:
        `k` - the key
        `v` - the value
        `completionHandler` - - this will be called some time later to signify the value has been put

    - #### putObservable

          @Deprecated
          public rx.Observable<Void> putObservable(K k,
                                                               V v)

      Deprecated. use `rxPut(K, V)` instead
      Put a value in the map, asynchronously.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### rxPut

          public rx.Single<Void> rxPut(K k,
                                       V v)

      Put a value in the map, asynchronously.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### put

          public void put(K k,
                          V v,
                          long ttl,
                          Handler<AsyncResult<Void>> completionHandler)

      Like `put(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
        `completionHandler` - the handler

    - #### putObservable

          @Deprecated
          public rx.Observable<Void> putObservable(K k,
                                                               V v,
                                                               long ttl)

      Deprecated. use `rxPut(K, V)` instead
      Like `put(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
      Returns:

    - #### rxPut

          public rx.Single<Void> rxPut(K k,
                                       V v,
                                       long ttl)

      Like `put(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
      Returns:

    - #### putIfAbsent

          public void putIfAbsent(K k,
                                  V v,
                                  Handler<AsyncResult<V>> completionHandler)

      Put the entry only if there is no entry with the key already present. If key already present then the existing value will be returned to the handler, otherwise null.
      Parameters:
        `k` - the key
        `v` - the value
        `completionHandler` - the handler

    - #### putIfAbsentObservable

          @Deprecated
          public rx.Observable<V> putIfAbsentObservable(K k,
                                                                    V v)

      Deprecated. use `rxPutIfAbsent(K, V)` instead
      Put the entry only if there is no entry with the key already present. If key already present then the existing value will be returned to the handler, otherwise null.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### rxPutIfAbsent

          public rx.Single<V> rxPutIfAbsent(K k,
                                            V v)

      Put the entry only if there is no entry with the key already present. If key already present then the existing value will be returned to the handler, otherwise null.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### putIfAbsent

          public void putIfAbsent(K k,
                                  V v,
                                  long ttl,
                                  Handler<AsyncResult<V>> completionHandler)

      Link `putIfAbsent(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<V>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
        `completionHandler` - the handler

    - #### putIfAbsentObservable

          @Deprecated
          public rx.Observable<V> putIfAbsentObservable(K k,
                                                                    V v,
                                                                    long ttl)

      Deprecated. use `rxPutIfAbsent(K, V)` instead
      Link `putIfAbsent(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<V>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
      Returns:

    - #### rxPutIfAbsent

          public rx.Single<V> rxPutIfAbsent(K k,
                                            V v,
                                            long ttl)

      Link `putIfAbsent(K, V, io.vertx.core.Handler<io.vertx.core.AsyncResult<V>>)` but specifying a time to live for the entry. Entry will expire and get evicted after the ttl.
      Parameters:
        `k` - the key
        `v` - the value
        `ttl` - The time to live (in ms) for the entry
      Returns:

    - #### remove

          public void remove(K k,
                             Handler<AsyncResult<V>> resultHandler)

      Remove a value from the map, asynchronously.
      Parameters:
        `k` - the key
        `resultHandler` - - this will be called some time later to signify the value has been removed

    - #### removeObservable

          @Deprecated
          public rx.Observable<V> removeObservable(K k)

      Deprecated. use `rxRemove(K)` instead
      Remove a value from the map, asynchronously.
      Parameters:
        `k` - the key
      Returns:

    - #### rxRemove

          public rx.Single<V> rxRemove(K k)

      Remove a value from the map, asynchronously.
      Parameters:
        `k` - the key
      Returns:

    - #### removeIfPresent

          public void removeIfPresent(K k,
                                      V v,
                                      Handler<AsyncResult<Boolean>> resultHandler)

      Remove a value from the map, only if entry already exists with same value.
      Parameters:
        `k` - the key
        `v` - the value
        `resultHandler` - - this will be called some time later to signify the value has been removed

    - #### removeIfPresentObservable

          @Deprecated
          public rx.Observable<Boolean> removeIfPresentObservable(K k,
                                                                              V v)

      Deprecated. use `rxRemoveIfPresent(K, V)` instead
      Remove a value from the map, only if entry already exists with same value.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### rxRemoveIfPresent

          public rx.Single<Boolean> rxRemoveIfPresent(K k,
                                                      V v)

      Remove a value from the map, only if entry already exists with same value.
      Parameters:
        `k` - the key
        `v` - the value
      Returns:

    - #### replace

          public void replace(K k,
                              V v,
                              Handler<AsyncResult<V>> resultHandler)

      Replace the entry only if it is currently mapped to some value
      Parameters:
        `k` - the key
        `v` - the new value
        `resultHandler` - the result handler will be passed the previous value

    - #### replaceObservable

          @Deprecated
          public rx.Observable<V> replaceObservable(K k,
                                                                V v)

      Deprecated. use `rxReplace(K, V)` instead
      Replace the entry only if it is currently mapped to some value
      Parameters:
        `k` - the key
        `v` - the new value
      Returns:

    - #### rxReplace

          public rx.Single<V> rxReplace(K k,
                                        V v)

      Replace the entry only if it is currently mapped to some value
      Parameters:
        `k` - the key
        `v` - the new value
      Returns:

    - #### replaceIfPresent

          public void replaceIfPresent(K k,
                                       V oldValue,
                                       V newValue,
                                       Handler<AsyncResult<Boolean>> resultHandler)

      Replace the entry only if it is currently mapped to a specific value
      Parameters:
        `k` - the key
        `oldValue` - the existing value
        `newValue` - the new value
        `resultHandler` - the result handler

    - #### replaceIfPresentObservable

          @Deprecated
          public rx.Observable<Boolean> replaceIfPresentObservable(K k,
                                                                               V oldValue,
                                                                               V newValue)

      Deprecated. use `rxReplaceIfPresent(K, V, V)` instead
      Replace the entry only if it is currently mapped to a specific value
      Parameters:
        `k` - the key
        `oldValue` - the existing value
        `newValue` - the new value
      Returns:

    - #### rxReplaceIfPresent

          public rx.Single<Boolean> rxReplaceIfPresent(K k,
                                                       V oldValue,
                                                       V newValue)

      Replace the entry only if it is currently mapped to a specific value
      Parameters:
        `k` - the key
        `oldValue` - the existing value
        `newValue` - the new value
      Returns:

    - #### clear

          public void clear(Handler<AsyncResult<Void>> resultHandler)

      Clear all entries in the map
      Parameters:
        `resultHandler` - called on completion

    - #### clearObservable

          @Deprecated
          public rx.Observable<Void> clearObservable()

      Deprecated. use `rxClear()` instead
      Clear all entries in the map
      Returns:

    - #### rxClear

          public rx.Single<Void> rxClear()

      Clear all entries in the map
      Returns:

    - #### size

          public void size(Handler<AsyncResult<Integer>> resultHandler)

      Provide the number of entries in the map
      Parameters:
        `resultHandler` - handler which will receive the number of entries

    - #### sizeObservable

          @Deprecated
          public rx.Observable<Integer> sizeObservable()

      Deprecated. use `rxSize()` instead
      Provide the number of entries in the map
      Returns:

    - #### rxSize

          public rx.Single<Integer> rxSize()

      Provide the number of entries in the map
      Returns:

    - #### newInstance

          public static <K,V> AsyncMap newInstance(AsyncMap arg)

    - #### newInstance

          public static <K,V> AsyncMap newInstance(AsyncMap arg,
                                                   TypeArg<K> __typeArg_K,
                                                   TypeArg<V> __typeArg_V)

Copyright © 2017. All rights reserved.